com.collabnet.ce.soap60.webservices.cemain

## Class LinkedApplication2SoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.LinkedApplication2SoapRow

-     public class LinkedApplication2SoapRow
      extends Object

  LinkedApplicationSoapList represents a list of linked applications.
  Since:
    8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedApplication2SoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationType()` Returns 'applicationType'.
    `String` | `getApplicationUrl()` Returns 'applicationUrl'.
    `int` | `getDisplayOrder()` Returns 'displayOrder'.
    `String` | `getIconId()` Returns 'iconId'.
    `String` | `getId()` Returns 'id'.
    `boolean` | `getSingleSignOnEnabled()` Returns 'singleSignOnEnabled'.
    `String` | `getTitle()` Returns 'title'.
    `String` | `getToolType()` Returns 'toolType'.
    `boolean` | `getVisible()` Returns 'visible'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setApplicationType(String applicationType)` Sets 'applicationType'.
    `void` | `setApplicationUrl(String applicationUrl)` Sets 'applicationUrl'.
    `void` | `setDisplayOrder(int displayOrder)` Sets 'displayOrder'.
    `void` | `setIconId(String iconId)` Sets 'iconId'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setSingleSignOnEnabled(boolean singleSignOnEnabled)` Sets 'singleSignOnEnabled'.
    `void` | `setTitle(String title)` Sets 'title'.
    `void` | `setToolType(String toolType)` Sets 'toolType'.
    `void` | `setVisible(boolean visible)` Sets 'visible'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedApplication2SoapRow

          public LinkedApplication2SoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'.
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'.
      Parameters:
        `id` - Value of 'id'.

    - #### getTitle

          public String getTitle()

      Returns 'title'.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'.
      Parameters:
        `title` - Value of 'title'.

    - #### getApplicationUrl

          public String getApplicationUrl()

      Returns 'applicationUrl'.
      Returns:
        Value of 'applicationUrl'.

    - #### setApplicationUrl

          public void setApplicationUrl(String applicationUrl)

      Sets 'applicationUrl'.
      Parameters:
        `applicationUrl` - Value of 'applicationUrl'.

    - #### getApplicationType

          public String getApplicationType()

      Returns 'applicationType'.
      Returns:
        Value of 'applicationType'.

    - #### setApplicationType

          public void setApplicationType(String applicationType)

      Sets 'applicationType'.
      Parameters:
        `applicationType` - Value of 'applicationType'.

    - #### getIconId

          public String getIconId()

      Returns 'iconId'.
      Returns:
        Value of 'iconId'.

    - #### setIconId

          public void setIconId(String iconId)

      Sets 'iconId'.
      Parameters:
        `iconId` - Value of 'iconId'.

    - #### getDisplayOrder

          public int getDisplayOrder()

      Returns 'displayOrder'.
      Returns:
        Value of 'displayOrder'.

    - #### setDisplayOrder

          public void setDisplayOrder(int displayOrder)

      Sets 'displayOrder'.
      Parameters:
        `displayOrder` - Value of 'displayOrder'.

    - #### getSingleSignOnEnabled

          public boolean getSingleSignOnEnabled()

      Returns 'singleSignOnEnabled'.
      Returns:
        Value of 'singleSignOnEnabled'.

    - #### setSingleSignOnEnabled

          public void setSingleSignOnEnabled(boolean singleSignOnEnabled)

      Sets 'singleSignOnEnabled'.
      Parameters:
        `singleSignOnEnabled` - Value of 'singleSignOnEnabled'.

    - #### getVisible

          public boolean getVisible()

      Returns 'visible'.
      Returns:
        Value of 'visible'.

    - #### setVisible

          public void setVisible(boolean visible)

      Sets 'visible'.
      Parameters:
        `visible` - Value of 'visible'.

    - #### getToolType

          public String getToolType()

      Returns 'toolType'.
      Returns:
        Value of 'toolType'.

    - #### setToolType

          public void setToolType(String toolType)

      Sets 'toolType'.
      Parameters:
        `toolType` - Value of 'toolType'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.